﻿/*
 *  Copyright 2009 Alessandro Pilotti
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA 
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace AlexPilotti.L2SQLDataModel
{
    [Serializable]
    public class L2SQLDataModelException : Exception
    {
        public L2SQLDataModelException(string message)
            : base(message)
        { 
        }

        public L2SQLDataModelException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        protected L2SQLDataModelException(SerializationInfo info, StreamingContext context) : base(info, context) 
        { }
    }
}
