﻿/*
 *  Copyright 2009 Alessandro Pilotti
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA 
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Management.Automation;

namespace AlexPilotti.PowerQuery.Installer
{
    [RunInstaller(true)]
    public class PowerQuerySnapIn : PSSnapIn
    {
        public override string Name
        {
            get { return "AlexPilotti.PowerQuery"; }
        }

        public override string Vendor
        {
            get { return "Alessandro Pilotti"; }
        }

        public override string Description
        {
            get { return "Provides cmdlets to manipulate records and execute stored procedures in MS SQL Server generating and using LINQ to SQL data models"; }
        }
    }
}
